package com.cf.imes.module.executor.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum DataTypeEnum {

    FILE_IMPORT(0, "文件导入"),
    API_IMPORT(1, "API导入"),
    SOURCE_IMPORT(2, "数据源导入");

    private final Integer status;
    private String description;

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(DataTypeEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }
}
